LOGIN_RADIUS(8)

NAME
login_radius - provide RADIUS authentication type

SYNOPSIS
login_radius [-d] [-s service] [-v name=value] user [class]

DESCRIPTION
The login_radius utility contacts a RADIUS server to authenticate a user. If no class is specified, the login class will be obtained from the password database.

When executed as the name login_style, login_radius will request that the RADIUS server use the authentication specified by style.

The options are as follows:

-d  Debug mode. Output is sent to the standard output instead of the BSD Authentication backchannel.

-s service
    Specify the service. Currently only challenge, login, and response are supported.

-v name=value
    This option and its value are ignored.

The login_radius utility needs to know a shared secret for each RADIUS server it talks to. Shared secrets are stored in the file /etc/raddb/servers with the format:

    server shared_secret

It is expected that rather than requesting the RADIUS style directly (in which case the server uses a default style) that login_radius will be linked to the various mechanisms desired. For instance, to have all CRYPTOCard and ActivCard authentication take place on a remote server via the RADIUS protocol, remove the login_activ and login_crypto modules and link login_radius to both of those names. Now when the user requests one of those authentication styles, login_radius will automatically forward the request to the remote RADIUS server and request it do the requested style of authentication.

LOGIN.CONF VARIABLES
The login_radius utility uses the following RADIUS-specific /etc/login.conf variables:

radius-port
    Port name or number to connect to on the RADIUS server.

radius-server
    Hostname of the RADIUS server to contact.

radius-server-alt
    Alternate RADIUS server to use when the primary is not responding.

radius-challenge-styles
    Comma-separated list of authentication styles that the RADIUS server knows about. If the user's authentication style is in this list, the challenge will be provided by the RADIUS server. If not, login_radius will prompt the user for the password before sending the request (along with the password) to the RADIUS server.

radius-timeout
    Number of seconds to wait for a response from the RADIUS server. Defaults to 2 seconds.

radius-retries
    Number of times to attempt to contact the RADIUS server before giving up (or falling back to the alternate server if there is one). Defaults to 6 tries.

FILES
/etc/login.conf
    login configuration database
/etc/raddb/servers
    list of RADIUS servers and their associated shared secrets

SEE ALSO
login(1), login.conf(5), radiusd(8)

STANDARDS
C. Rigney, S. Willens, A. Rubens, W. Simpson, June 2000, RFC 2865, Remote Authentication Dial In User Service (RADIUS).

CAVEATS
For login_radius to function, the /etc/raddb directory must be owned by group “_radius” and have group-execute permissions. Likewise, the /etc/raddb/servers file must be readable by group “_radius”.